Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226574 - Merge Review: xorg-x11-drv-acecad
Summary: Merge Review: xorg-x11-drv-acecad
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:21 UTC by Nobody's working on this, feel free to take it
Modified: 2013-04-02 04:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 04:41:39 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:21:51 UTC
Fedora Merge Review: xorg-x11-drv-acecad

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-drv-acecad/
Initial Owner: krh@redhat.com

Comment 1 Thorsten Leemhuis 2007-02-03 23:46:23 UTC
* "%define cvsdate xxxxxxx" -> not used, please remove

* from %files: "%dir %{moduledir}" "%dir %{driverdir}" -> it's bad that all the
driver packages own those directory. Suggestion: let xorg-x11-server-Xorg own
them, as that package is required in any case

* why no include the ChangeLog as %doc?

* COPYING is there, thus: "If (and only if) the source package includes the text
of the license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc." BTW, it this "This is a
stub file. [...]" stuff again. That seems to be present in quite some packages
and it might be really nice to get that fixed upstream...

* "ExclusiveArch: %{ix86} x86_64 ia64 ppc alpha sparc sparc64" -- Why that? why
not simply "ExcludeArch: s390" -- that way it will work if x86_128 or another
new fancy arch shows up

* rpmlint
rpmlint on ./xorg-x11-drv-acecad-1.1.0-2.1.i386.rpm
W: xorg-x11-drv-acecad incoherent-version-in-changelog control 1.1.0-2.1
-> easily fixed

W: xorg-x11-drv-acecad invalid-license MIT/X11
-> "MIT"

rpmlint on ./xorg-x11-drv-acecad-debuginfo-1.1.0-2.1.i386.rpm
W: xorg-x11-drv-acecad-debuginfo invalid-license MIT/X11
-> see above

rpmlint on ./xorg-x11-drv-acecad-1.1.0-2.1.src.rpm
W: xorg-x11-drv-acecad invalid-license MIT/X11
-> see above
W: xorg-x11-drv-acecad mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 3)
-> easily fixed

* MISC:

 * I dislike that "tarball" macro, as it should not change that often and it's
used only in two places. Is it really worth it?

 * The %description could be improved (it's identical to the summary, besides
the Xorg vs X.org), but well, probably not that important

* Besides that:
 package meets naming and packaging guidelines.
 build root is correct.
 license field matches the actual license.
 license is open source-compatible.
 source files match upstream:
  a85d9d9fa8086e1629b2fd8699acba1af6878e98  xf86-input-acecad-1.1.0.tar.bz2
 latest version is being packaged.
 final provides and requires are sane:
 no shared libraries are present.
 package is not relocatable.
 no duplicates in %files.
 file permissions are appropriate.
 %clean is present.
 no scriptlets present.
 code, not content.
 documentation is small, so no -docs subpackage is necessary.
 %docs are not necessary for the proper functioning of the package.
 no headers.
 no pkgconfig files.
 no libtool .la droppings.
 not a GUI app.
 not a web app.
 there is a open bug, but not packaging releated

Comment 3 Jason Tibbitts 2011-10-06 04:41:39 UTC
Package has been retired.


Note You need to log in before you can comment on or make changes to this bug.